List transfers
curl --request GET \
--url https://api.sandbox.busha.so/v1/transfers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.busha.so/v1/transfers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.busha.so/v1/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "message for success",
"pagination": {
"current_entries_size": 20,
"next_cursor": "MjAyNC0xMC0xNVQxMTowNTo1My45NTkxNDErMDE6MDA=",
"previous_cursor": "MjAyNC0xMC0xNVQxMDowNTo1My45NTIxQjE3MDE6MDA="
},
"data": [
{
"id": "bus_123456789",
"quote_id": "bus_123456789",
"description": "Bought Bitcoin",
"sub_description": "With Naira",
"source_currency": "BTC",
"target_currency": "BTC",
"source_amount": "100",
"target_amount": "100",
"profile_id": "bus_123456789",
"rate": {
"product": "BTCUSDT",
"rate_explained": "1 BTC = 1000 USDT",
"source_currency": "BTC",
"target_currency": "BTC",
"rate": "100",
"side": "sell",
"type": "FIXED"
},
"fees": [
{
"name": "processing_fee",
"amount": {
"amount": "100",
"currency": "BTC"
},
"type": "FIXED",
"converted_amount": {
"amount": "100",
"currency": "BTC"
}
}
],
"created_at": "2023-10-15T12:15:30Z",
"updated_at": "2023-10-15T12:20:45Z",
"stages": [
"deposit",
"conversion"
],
"category": "buy",
"trade": "buy",
"pay_in": {
"type": "address",
"recipient_id": "64ae8c26ea1033204c805a8a",
"address": "tb1qj4263506wyu8khrz2dwce0agk8lhyjgy269rxr",
"network": "BTC",
"memo": "address memo",
"narration": "Payment for services",
"payment_invoice_url": "https://example.com/invoice.pdf",
"profile_id": "profile-id-1234",
"recipient_details": {
"account_name": "<string>",
"bank_name": "<string>",
"account_number": "<string>",
"country_code": "NG",
"provider": "<string>",
"iban": "NG12345678901234567890",
"currency": "<string>",
"phone_number": "<string>",
"name": "<string>",
"email": "sbsbs@busha.co",
"bank_code": "100020"
},
"blockchain_hash": "31b99c79e2fb7554d0a9421867a53a80e6810cdfd2b06826eec1b2a22974b171",
"blockchain_url": "https://explorer.com/tx/31b99c79e2fb7554d0a9421867a53a80e6810cdfd2b06826eec1b2a22974b171",
"session_id": "31b99c79e2fb7554d0a9421867a53a80e6810cdfd2b06826eec1b2a22974b171",
"from_address": "31b99c79e2fb7554d0a9421867a53a80e6810cdfd2b06826eec1b2a22974b171",
"expires_at": "2023-10-15T12:15:30Z"
},
"pay_out": {
"type": "address",
"recipient_id": "64ae8c26ea1033204c805a8a",
"address": "tb1qj4263506wyu8khrz2dwce0agk8lhyjgy269rxr",
"network": "BTC",
"memo": "address memo",
"narration": "Payment for services",
"payment_invoice_url": "https://example.com/invoice.pdf",
"profile_id": "profile-id-1234",
"recipient_details": {
"account_name": "<string>",
"bank_name": "<string>",
"account_number": "<string>",
"country_code": "NG",
"provider": "<string>",
"iban": "NG12345678901234567890",
"currency": "<string>",
"phone_number": "<string>",
"name": "<string>",
"email": "sbsbs@busha.co",
"bank_code": "100020"
},
"blockchain_hash": "31b99c79e2fb7554d0a9421867a53a80e6810cdfd2b06826eec1b2a22974b171",
"blockchain_url": "https://explorer.com/tx/31b99c79e2fb7554d0a9421867a53a80e6810cdfd2b06826eec1b2a22974b171",
"session_id": "31b99c79e2fb7554d0a9421867a53a80e6810cdfd2b06826eec1b2a22974b171",
"from_address": "31b99c79e2fb7554d0a9421867a53a80e6810cdfd2b06826eec1b2a22974b171",
"expires_at": "2023-10-15T12:15:30Z"
},
"timeline": {
"total_steps": 123,
"current_step": 123,
"transfer_status": "<string>",
"events": [
{
"step": 1,
"done": true,
"title": "Transfer started",
"description": "Transfer started",
"timestamp": "2023-10-15T12:15:30Z"
}
]
},
"expires_at": "2023-12-01T15:04:05Z"
}
]
}Transfers
List transfers
Gets all transfers
GET
/
v1
/
transfers
List transfers
Authorizations
Bearer Authentication
Headers
User profile header
Example:
"BUS_YOK8tp5Zga01qOKEsqp07"
Query Parameters
Filter by ID
Filter by quote ID A valid id
Example:
"bus_123456789"
Filter by start date
Filter by end date
Filter by source_currency code
Filter by target_currency code
Filter by status (comma-separated)
Status of a transfer
Available options:
pending, processing, cancelled, funds_converted, funds_received, outgoing_payment_sent, funds_delivered, funds_not_delivered, funds_refunded, reverse_fund_conversion Specify whether to get referred transfers or not
Filter transfers that include a specific step in their flow.
Available options:
deposit, withdrawal, conversion, no_deposit, no_withdrawal, no_conversion The cursor
The order to sort the results
Available options:
asc, desc Example:
"asc"
The number of items to return
Example:
10
⌘I